<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingBottom="@dimen/dp_20">

    <TextView
        android:id="@+id/tv_brand_name"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_20"
        android:text="品牌名" />

    <TextView
        android:id="@+id/tv_restaurant_name"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_5"
        android:text="餐廳名" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10">

        <TextView
            android:id="@+id/tv_order_type"
            style="@style/print_other_order_thirty_bold_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:text='外送'
            android:textSize="@dimen/dp_35" />

        <TextView
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toLeftOf="@id/tv_order_type"
            android:maxLines="1"
            android:text="@string/print_split_line" />


        <TextView
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/tv_order_type"
            android:maxLines="1"
            android:text="@string/print_split_line" />
    </RelativeLayout>

    <TextView
        android:id="@+id/tv_pay_type"
        style="@style/print_other_order_thirty_bold_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_5"
        android:text="在線支付：" />

    <TextView
        android:id="@+id/tv_delivery_time"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_5"
        android:textColor="@color/theme_333_color"
        android:textStyle="bold" />

    <TextView
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line" />


    <TextView
        android:id="@+id/tv_order_number"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text='單號：' />

    <TextView
        android:id="@+id/tv_order_take_food_code"
        style="@style/print_other_order_thirty_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="@dimen/dp_50"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/tv_order_create"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text='開單時間' />

    <TextView
        android:id="@+id/tv_remark"
        style="@style/print_other_order_thirty_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:textStyle="bold" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <TextView
            android:id="@+id/tv_application"
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:text="項目" />

        <TextView
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toLeftOf="@id/tv_application"
            android:maxLines="1"
            android:text="@string/print_split_line" />

        <TextView
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/tv_application"
            android:maxLines="1"
            android:text="@string/print_split_line" />
    </RelativeLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_order_print_food"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <TextView
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line" />


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_bill"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        app:layout_constraintTop_toBottomOf="@id/tv_total_text" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_total_text"
            style="@style/print_other_order_thirty_bold_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:text="總金額："
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_total"
            style="@style/print_other_order_thirty_bold_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_weight="1"
            android:gravity="right"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </LinearLayout>

    <TextView
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line" />

    <TextView
        android:id="@+id/tv_pay_amount_text"
        style="@style/print_other_order_thirty_bold_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="支付金額：" />

    <TextView
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line" />

    <TextView
        android:id="@+id/tv_member_number"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="會員號碼："
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_member_name"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="會員名稱："
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_member_phone"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="會員電話："
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_oldPoints"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="上次積分："
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_addPoints"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="本次積分："
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_nowPoints"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="結餘積分："
        android:visibility="gone" />

    <TextView
        android:id="@+id/line_member_info"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_address"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="地址："
        android:textSize="@dimen/dp_26" />

    <TextView
        android:id="@+id/tv_receiver"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="收貨人：" />

    <TextView
        android:id="@+id/tv_phone"
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="手機號：" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="@string/print_split_line"
        android:textColor="@color/theme_333_color"
        android:visibility="visible" />

    <TextView
        style="@style/print_other_order_twenty_six_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="親愛的顧客，祝您用餐愉快，如您遇到任何問題請撥打8200 2022聯繫我們，期待您的下次光臨。"
        android:visibility="gone" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_bottom_time"
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:text="2020-04-25 12:00:36 GS Support pos1" />

        <TextView
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toLeftOf="@id/tv_bottom_time"
            android:maxLines="1"
            android:text="@string/print_split_line" />

        <TextView
            android:id="@+id/tv_bottom_time_right_line"
            style="@style/print_other_order_twenty_six_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/tv_bottom_time"
            android:maxLines="1"
            android:text="@string/print_split_line" />
    </RelativeLayout>

</LinearLayout>
